package gridbus.gmd.security;

import javax.servlet.http.HttpSession;

/**
 * Title:        The Grid Market Directory (GMD) Toolkit
 * Developer:    The Gridbus Project
 *               The Grid Computing and Distributed Systems (GRIDS) Laboratory
 *               The University of Melbourne, Australia
 * URL:          http://www.gridbus.org
 * @version      Alpha Version,
 * Description:  The GMD Toolkit allows the creation of portal for management of
 *               Grid Market services. It also provide webservices based access
 *               to GMD from external applications.
 * @author       Jia Yu (program developer) and Rajkumar Buyya (project director)
 *
 * Licence:      GPL - http://www.gnu.org/copyleft/gpl.html
 */

public class SessionWrapper {
 
 // Keys used in the session object
    private static final String USERNAME = "USERNAME";
	private static final String PNAME="PROVIDERNAME";

    private HttpSession session;

    
	/**
	 * Method SessionWrapper.
	 * @param s
	 */
    public SessionWrapper(HttpSession s) {
	session = s;
    }

	/**
	 * Method isLoggedIn.
	 * @return boolean
	 */
    public boolean isLoggedIn() {
		return getUserName() != null;
    } 

	/**
	 * Method getUserName.
	 * @return String
	 */
    public String getUserName() {
	return (String)session.getAttribute(USERNAME);
    }

	/**
	 * Method setUserName.
	 * @param username
	 */
    public void setUserName(String username) {
		session.setAttribute(USERNAME, username);
    }

	/**
	 * Method setProviderName.
	 * @param pn
	 */
	public void setProviderName(String pn){
		session.setAttribute(PNAME,pn);
	}
	/**
	 * Method getProviderName.
	 * @return String
	 */
	public String getProviderName(){
		return (String)session.getAttribute(PNAME);
	}
	/**
	 * Method resetSession.
	 */
    public void resetSession() {
   	session.removeAttribute(USERNAME);
	System.out.println("logout");
    }
	
	/**
	 * Method getSessionID.
	 * @return String
	 */
	public String getSessionID(){
		return session.getId();
	}

	/**
	 * Method sessionIsNew.
	 * @return boolean
	 */
	public boolean sessionIsNew(){
		return session.isNew();
		
	}
}
