package gridbus.gmd.soap.gmdqueryclient;

/**
 * Title:        The Grid Market Directory (GMD) Toolkit
 * Developer:    The Gridbus Project
 *               The Grid Computing and Distributed Systems (GRIDS) Laboratory
 *               The University of Melbourne, Australia
 * URL:          http://www.gridbus.org
 * @version      Alpha Version,
 * Description:  The GMD Toolkit allows the creation of portal for management of
 *               Grid Market services. It also provide webservices based access
 *               to GMD from external applications.
 * @author       Jia Yu (program developer) and Rajkumar Buyya (project director)
 *
 * Licence:      GPL - http://www.gnu.org/copyleft/gpl.html
 */

public class GMDService {
	private String name;
	private String type;
	private String provider;
	private String address;
	private float hPrice;
	private float sPrice;
	private String description;
	
	
	public GMDService(String sn, String st, String pn, String addr, float hp, float sp, String des){
		name=sn;
		type=st;
		provider=pn;
		address=addr;
		hPrice=hp;
		sPrice=sp;
		description=des;
	
	}
	/**
	 * Returns the description.
	 * @return String
	 */
	public String getDescription() {
		return description;
	}

	/**
	 * Returns the hPrice.
	 * @return float
	 */
	public float getHPrice() {
		return hPrice;
	}

	/**
	 * Returns the providerName.
	 * @return String
	 */
	public String getProvider() {
		return provider;
	}

	/**
	 * Returns the serviceName.
	 * @return String
	 */
	public String getName() {
		return name;
	}

	/**
	 * Returns the serviceType.
	 * @return String
	 */
	public String getType() {
		return type;
	}

	/**
	 * Returns the sPrice.
	 * @return float
	 */
	public float getSPrice() {
		return sPrice;
	}

	/**
	 * Returns the address.
	 * @return String
	 */
	public String getAddress() {
		return address;
	}
	
	/**
	 * @see java.lang.Object#toString()
	 */
	public String toString(){
		StringBuffer nName=new StringBuffer(name);
		StringBuffer nType=new StringBuffer(type);
		StringBuffer nProvider=new StringBuffer(provider);
		StringBuffer nAddress=new StringBuffer(address);
		StringBuffer nHP=new StringBuffer(Float.toString(hPrice));
		StringBuffer nSP=new StringBuffer(Float.toString(sPrice));
		
		
		if(name.length()<10){
			for(int i=0;i<(10-name.length());i++){
				nName.append(" ");
			}
		}
		if(type.length()<25){
			for(int i=0;i<(25-type.length());i++){
				nType.append(" ");
			}
		}
		if(provider.length()<20){
			for(int i=0;i<(20-provider.length());i++){
				nProvider.append(" ");
			}
		}
		if(address.length()<25){
			for(int i=0;i<(25-address.length());i++){
				nAddress.append(" ");
			}
		}
		if((Float.toString(hPrice)).length()<5){
			for(int i=0;i<(5-Float.toString(hPrice).length());i++){
				nHP.append(" ");
			}
		}			
		if((Float.toString(sPrice)).length()<5){
			for(int i=0;i<(5-Float.toString(sPrice).length());i++){
				nSP.append(" ");
			}
		}				
		return new String("Name:"+nName+"\n"+"Type:"+nType+"\n"+"Provider:"+nProvider+"\n"+"Host:"+nAddress+"\n"+"Path:"+description+"\nPrice:"+"(Hardware G$/CPU-Sec)"+nHP+"\t"+"(Software G$/Operation)"+nSP+"\n");
	}

}
